<div id="view-root" *ngIf="item"
     [style.padding-top.px]="verticalPad" [style.padding-bottom.px]="verticalPad"
     [style.padding-left.px]="horizontalPad" [style.padding-right.px]="horizontalPad">
  <h2 id="title">{{item.title}}</h2>

  <p>{{item.date}}</p>

  <div id="img-wrap">
    <img id="card-img" [src]="item.link">
  </div>

  <p id="summary">{{item.summary}}</p>

  <ng-content></ng-content>
</div>
